#include "OmSourceHistoryDlg.h"
#include <qapplication.h>
#include <qpushbutton.h>
#include <qdialog.h>
#include <qtable.h>
#include <qstringlist.h>
#include "OmSourceVersionNo.h"
#include <iostream>


/********************************************************************************
 * Dialog for running omdetect- allows you to change the parameters nsigma
 * and minsignificance.          
 *
 *******************************************************************************/

HistoryDlg::HistoryDlg(QWidget *parent, QStringList* imageList, 
          QStringList* oldSourceList,  QStringList* newSourceList ) :
  QDialog(parent, "", true)
{

    int colWidth1 = 500;
    int colWidth2 = 100;
    int colWidth3 = 100;

    QTable *table1 = new QTable(imageList->size(), 3, this, 0);
    table1->setGeometry(20, 30, 500, 120);
    table1->setText(0, 0,"Name");
    table1->setColumnWidth(0, colWidth1); 

    table1->setText(0, 1,"Date created");
    table1->setColumnWidth(1, colWidth2); 

    table1->setText(0, 2,"Date assessed");
    table1->setColumnWidth(2, colWidth3); 
  
 

    int rowNo = 0;
    for ( QStringList::Iterator it = imageList->begin(); it != imageList->end(); ++it ) {
      
      cout << "image file =" << *it << endl;        
      table1->setText(rowNo++, 0, *it);

    }
  

    // The source-list files that have been accessed
    QTable *table2 = new QTable(oldSourceList->size(), 3, this, "Table 2");
    table2->setGeometry(20, 180, 500, 120);
    table2->setText(0, 0,"Name");
    table2->setColumnWidth(0, colWidth1); 
 

    table2->setText(0, 1,"Date created");
    table2->setColumnWidth(1, colWidth2); 
 
    table2->setText(0, 2,"Date assessed");
    table2->setColumnWidth(1, colWidth3); 
  
 

    rowNo = 0;
    for ( QStringList::Iterator it = oldSourceList->begin(); it != oldSourceList->end(); ++it ) {
      
      cout << "image file =" << *it << endl;        
      table2->setText(rowNo++, 0, *it);

    }
  

   // The new source-list files that have been created
    QTable *table3 = new QTable(newSourceList->size(), 3, this, "Table 3");
    table3->setGeometry(20, 350, 500, 120);
    table3->setText(0, 0,"Name");
    table3->setColumnWidth(0, colWidth1); 
 

    table3->setText(0, 1,"Date created");
    table3->setColumnWidth(1, colWidth2); 

    table3->setText(0, 2,"Date assessed");
    table3->setColumnWidth(1, colWidth3);

  


    rowNo = 0;
    for ( QStringList::Iterator it = newSourceList->begin(); it != newSourceList->end(); ++it ) {
      
      cout << "image file =" << *it << endl;        
      table3->setText(rowNo++, 0, *it);

    }
  








    QPushButton* okButton = new QPushButton("OK", this);
    okButton->setGeometry(100, 500, 100, 30);
    connect(okButton, SIGNAL( clicked() ), this, SLOT( accept() ));
 
  

    
};











